#include <graphics.h>
#include <conio.h>
#include <process.h>
#include <stdio.h>

struct point {
	double x, y;
};

double	dx, dy;
point	minp, maxp, p, disp;
FILE	*fin;
int	t;

point convert (point p)
{
	p.x = (p.x - minp.x)/dx * getmaxx ();
	p.y = (p.y - minp.y)/dy * getmaxy ();
	return p;
}

point getnextpoint ()
{
	point	p;

	t = fscanf (fin, "%lf %lf", &p.x, &p.y);
	return p;
}

void opengraph ()
{
	int gdriver = DETECT, gmode, errorcode;

	initgraph (&gdriver, &gmode, "");
	errorcode = graphresult();
	if (errorcode != grOk)
	{
		printf("Graphics error: %s\n", grapherrormsg(errorcode));
		printf("Press any key to halt:");
		getch();
		exit(1);
	}
}

int main (int argc, char *argv[])
{
	if (argc != 2) exit (1);

	fin = fopen (argv[1], "r");
	p = getnextpoint ();
	minp.x = maxp.x = p.x;
	minp.y = maxp.y = p.y;
	while (t != EOF) {
		if (p.x < minp.x) minp.x = p.x;
		else if (p.x > maxp.x) maxp.x = p.x;
		if (p.y < minp.y) minp.y = p.y;
		else if (p.y > maxp.y) maxp.y = p.y;
		p = getnextpoint ();
	}
	fclose (fin);

	dx = maxp.x - minp.x;
	dy = maxp.y - minp.y;

	opengraph ();

	fin	= fopen (argv[1], "r");
	p	= getnextpoint ();
	disp	= convert (p);
	moveto (disp.x, disp.y);
	while (t != EOF) {
		disp = convert (p);
		lineto (disp.x, disp.y);
		p = getnextpoint ();
	}
	fclose (fin);

	getch ();
	closegraph ();

	return 0;
}